Get a collection delivery batche
GET
/v1/collection-delivery-batches/{collectionDeliveryBatchId}curl -X GET 'https://api.embodiflow.io/v1/collection-delivery-batches/{collectionDeliveryBatchId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- collectionDeliveryBatchIdstring必填
响应
Success
- dataobject必填
- idstring必填
- tenantIdstring必填
- projectIdstring必填
- collectionOrderIdstring必填
- supplierProjectMembershipIdstring必填
- deliveryNumberstring必填
- statusstring必填
- attemptGroupKeystring必填
- attemptNumbernumber必填
- supersedesDeliveryBatchIdstring | null必填
- reviewTaskIdstring | null必填
- sourceMetadataobject | null必填
- declaredContentobject | null必填
- machineVerdictobject必填
- acceptanceDecisionobject必填
- linkedUploadBatchIdsarray<string>必填
- attemptCountnumber必填
- outstandingReworkCountnumber必填
- outstandingReworkarray<CollectionDeliveryOutstandingReworkDto>必填
- createdAtstring必填
- updatedAtstring必填
- rowVersionnumber必填
响应示例
{
"data": {
"id": "string",
"tenantId": "string",
"projectId": "string",
"collectionOrderId": "string",
"supplierProjectMembershipId": "string",
"deliveryNumber": "string",
"status": "string",
"attemptGroupKey": "string",
"attemptNumber": 0,
"supersedesDeliveryBatchId": "string",
"reviewTaskId": "string",
"sourceMetadata": {},
"declaredContent": {},
"machineVerdict": {
"contractVersion": "embodiflow-collection-delivery/v1",
"criteriaId": "embodiflow-collection-delivery/v1",
"criteriaVersion": 0,
"criteriaHash": "string",
"generatedAt": "string",
"sourceWorkflowRunId": "string",
"sourceDatasetVersionId": "string",
"overall": "error",
"quality": {
"status": "warn",
"blockingFailCount": 0,
"summaries": [
{
"status": "warn",
"checkId": "string",
"count": 0
}
]
},
"alignment": {
"status": "warn",
"checkIds": [
"string"
]
},
"composition": {
"status": "warn",
"profileId": "string",
"inputDigest": "string"
}
},
"acceptanceDecision": {
"contractVersion": "embodiflow-collection-delivery/v1",
"reviewTaskId": "string",
"reviewerProjectMembershipId": "string",
"decision": "approve",
"batchStatus": "accepted",
"comment": "string",
"waiverReason": "string",
"acceptedItemIds": [
"string"
],
"rejectedItemIds": [
"string"
],
"rejectedQueryDescriptors": [
"string"
],
"criteriaHash": "string",
"criteriaVersion": 0,
"machineOverall": "error"
},
"linkedUploadBatchIds": [
"string"
],
"attemptCount": 0,
"outstandingReworkCount": 0,
"outstandingRework": [
{
"repairTaskId": "string",
"sourceId": "string",
"status": "string",
"severity": "string"
}
],
"createdAt": "string",
"updatedAt": "string",
"rowVersion": 0
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1